package com.ruoyi.wx.web.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

/**
 * 获奖vo
 */
public class AwardVo {
    /**
     * 抽奖内容
     */
    private String lotteryDesc;

    /**
     * 奖品数量
     */
    private Long lotteryNum;

    /**
     * 抽奖图片
     */
    private String lotteryImage;

    /**
     * 获奖编号
     */
    private List<String> lotteryCodes;

    /**
     * 开奖时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lotteryTime;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createDate;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateDate;

    public void setLotteryDesc(String lotteryDesc) {
        this.lotteryDesc = lotteryDesc;
    }

    public String getLotteryDesc() {
        return lotteryDesc;
    }

    public void setLotteryNum(Long lotteryNum) {
        this.lotteryNum = lotteryNum;
    }

    public Long getLotteryNum() {
        return lotteryNum;
    }

    public void setLotteryImage(String lotteryImage) {
        this.lotteryImage = lotteryImage;
    }

    public String getLotteryImage() {
        return lotteryImage;
    }

    public void setLotteryTime(Date lotteryTime) {
        this.lotteryTime = lotteryTime;
    }

    public Date getLotteryTime() {
        return lotteryTime;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public List<String> getLotteryCodes() {
        return lotteryCodes;
    }

    public void setLotteryCodes(List<String> lotteryCodes) {
        this.lotteryCodes = lotteryCodes;
    }

    @Override
    public String toString() {
        return "AwardVo{" +
                "lotteryDesc='" + lotteryDesc + '\'' +
                ", lotteryNum=" + lotteryNum +
                ", lotteryImage='" + lotteryImage + '\'' +
                ", lotteryCodes=" + lotteryCodes +
                ", lotteryTime=" + lotteryTime +
                ", createDate=" + createDate +
                ", updateDate=" + updateDate +
                '}';
    }
}
